{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block content %}
    <style>
        .min-error {
            margin: 0 auto 0 1%;
            margin-bottom: 10px;
            font-size: 16px;
            padding: 6px 12px;
            background: yellow;
            color: #000;
            border-radius: 4px;
            border: 1px solid #d4d41d;
            float: left;
            max-width: 100%;
        }
    </style>
    <!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->
    
    <section class="content-header customer_content_header">
        <h1>Warehouse User Dashboard<small>Version 2.0</small></h1>
        <ol class="breadcrumb">
            <li><a href="javascript:void(0);"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>

    <section style="min-height: 10px;" class="content">
        <div class="row">
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-aqua"><i class="ion ion-ios-gear-outline"></i></span>
                    
                    <div class="info-box-content">
                        <span class="info-box-text" style="font-weight: 600;">Pending for Dispatch</span>
                        <a href="{% url 'warehouse_manager_orders' 'orders' %}">
                            <span class="info-box-number">
                                {{confirm|default:"0"}}
                            </span>
                        </a>
                    </div>
                </div>
            </div>

            <!-- <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-red"><i class="fa fa-google-plus"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-text">Warehouses</span>
                        <span class="info-box-number">
                          {{warehouses|default:"0"}}
                        </span>
                    </div>
                </div>
            </div> -->

            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-green"><i class="fa fa-truck"></i></span>
                   
                    <div class="info-box-content">
                        <span class="info-box-text">Dispatched</span>
                        <a href="{% url 'warehouse_manager_orders' 'dispatched' %}">
                        <span class="info-box-number">{{orderdispatch|default:"0"}}</span></a>
                    </div>
                </div>
            </div>

            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-yellow"><i class="fa fa-cubes" aria-hidden="true"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-text">Stock Out</span>
                        <a href="/user/custom-inventory-manager?warehouse=all&amp;first=all&amp;second=all&amp;third=all&amp;four=all&amp;five=all&amp;outstock=Out+Stock">
                        <span class="info-box-number">
                            {{out_stock|default:"0"}}
                        </span>
                        </a>
                    </div>
                </div>
            </div><!-- /.box-header -->
          
            
            
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="box box-info" style="border-top: 0;">
                            <div class="box-header with-border">
                                <h3 class="box-title" style="font-weight: 600;">Pending Dispatch</h3>
                                <div class="box-tools pull-right">
                                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                        <i class="fa fa-minus"></i>
                                    </button>
                                    <!--<button type="button" class="btn btn-box-tool" data-widget="remove">-->
                                        <!--<i class="fa fa-times"></i>-->
                                    <!--</button>-->
                                </div>
                            </div><!-- /.box-header -->

                            <div class="box-body">
                                <div class="table-responsive">
                                    {% if pending %}
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Order No</th>
                                                    <!--<th>DMS Order No</th>-->
                                                    <th>Order Date</th>
                                                    <th>Invoice Value</th>
                                                    <th>Status</th>
                                                    <th>Warehouse</th>
                                                    <!--<th>Manager</th>-->
                                                    <th>SR</th>
                                                    <th>Dealer</th>

                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for obj in pending|slice:":5" %}
                                                    <tr>
                                                        <td>
                                                            <a href="/user/warehouse-order-detail/{{obj.order_number}}">
                                                                {{obj.order_number}}
                                                            </a>
                                                        </td>

                                                        <td>{{obj.order_date|date|default:'---'}}</td>
                                                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                                                        <td><span class="label label-info {{obj.status}}">
                                                            {{obj.get_status_display}}
                                                            <!--Pending Dispatch-->
                                                        </span></td>
                                                        <td>{{obj.warehouse_code|default:"NA"}}</td>
                                                        <!--<td>{{obj.warehouse_manager.first_name|default:"NA"}}</td>-->
                                                        <td>{{obj.sr_id.first_name}} {{obj.sr_id.last_name}}</td>
                                                        <td>
                                                            <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                                                {{obj.dealer.user_code}}.{{obj.company}} </a>
                                                        </td>

                                                    </tr>
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    {% else %}
                                        <!--<span>Data is Not Found!!!</span>-->
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Order No</th>
                                                    <th>Order Date</th>
                                                    <th>Invoice Value</th>
                                                    <th>Status</th>
                                                    <th>Warehouse</th>
                                                    <th>SR</th>
                                                    <th>Dealer</th>
                                                </tr>
                                            </thead>
                                            <tr>
                                                <td colspan="7" style="text-align: center;">Data is Not Found!</td>
                                            </tr>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    {% endif %}
                                </div><!-- /.table-responsive -->
                            </div><!-- /.box-body -->
                            {% if pending|length > 5 %}
                            <div class="box-footer clearfix">
                                    <a href="/user/warehouse-user-dashboard/Orders/InWarehouse" class="btn btn-sm btn-default btn-flat pull-right">
                                        View All Orders
                                    </a>
                                </div>
                            {% endif %}
                            <!-- /.box-footer -->
                        </div><!-- /.chart-responsive -->
                    </div><!-- /.col -->
                </div>
            </div>
        </div>
    </section>

    <section style="min-height: 10px;" class="content">
        <div class="row">
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="box box-info" style="border-top: 0;">
                            <div class="box-header with-border">
                                <h3 class="box-title" style="font-weight: 600;">Dispatched</h3>
                                <div class="box-tools pull-right">
                                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                        <i class="fa fa-minus"></i>
                                    </button>
                                    <!--<button type="button" class="btn btn-box-tool" data-widget="remove">-->
                                        <!--<i class="fa fa-times"></i>-->
                                    <!--</button>-->
                                </div>
                            </div><!-- /.box-header -->

                            <div class="box-body">
                                <div class="table-responsive">
                                    {% if dispatched %}
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Order No</th>
                                                    <th>DMS Order No</th>
                                                    <th>Order Date</th>
                                                    <th>Dispatch Date</th>
                                                    <th>Invoice Value</th>
                                                    <th>Status</th>
                                                    <th>Warehouse</th>
                                                    <!--<th>Manager</th>-->
                                                    <th>SR</th>
                                                    <th>Dealer</th>

                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for obj in dispatched|slice:":5" %}
                                                    <tr>
                                                        <td>
                                                            <a href="/user/warehouse-order-detail/{{obj.order_number}}">
                                                                {{obj.order_number}}
                                                            </a>
                                                        </td>
                                                        {% if obj.DMS_order_number %}
                                                        <td><a href="/user/warehouse-order-detail/{{obj.order_number}}">{{obj.DMS_order_number}}</a></td>
                                                        {% else%}
                                                        <td><span >{{obj.DMS_order_number| default:"---"}}</span></td>
                                                    {% endif %}
                                                        <td>{{obj.order_date|date|default:'---'}}</td>
                                                        <td>{{obj.Dispatched_Date|date|default:'---'}}</td>
                                                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                                                        <td><span class="label label-info {{obj.status}}">{{obj.get_status_display}}</span></td>
                                                        <!--<td><span class="label label-info {{obj.status}}">-->
                                                            <!--&lt;!&ndash;{{obj.get_status_display}}&ndash;&gt;-->
                                                            <!--Pending Dispatch-->
                                                        <!--</span></td>-->
                                                        <td>{{obj.warehouse_code|default:"NA"}}</td>
                                                        <!--<td>{{obj.warehouse_manager.first_name|default:"NA"}}</td>-->
                                                        <td>{{obj.sr_id.first_name}} {{obj.sr_id.last_name}}</td>
                                                        <td>
                                                            <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                                                {{obj.dealer.user_code}}.{{obj.company}} </a>
                                                        </td>

                                                    </tr>
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    {% else %}
                                        <!--<span>Data Not Found!!!</span>-->
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Order No</th>
                                                    <th>DMS Order No</th>
                                                    <th>Order Date</th>
                                                    <th>Dispatch Date</th>
                                                    <th>Invoice Value</th>
                                                    <th>Status</th>
                                                    <th>Warehouse</th>
                                                    <th>SR</th>
                                                    <th>Dealer</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                <td colspan="9" style="text-align: center">Data Not Found!</td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    {% endif %}
                                </div><!-- /.table-responsive -->
                            </div><!-- /.box-body -->
                            {% if dispatched|length > 5 %}
                            <div class="box-footer clearfix">
                                    <a href="/user/warehouse-user-dashboard/Orders/Dispatched" class="btn btn-sm btn-default btn-flat pull-right">
                                        View All Orders
                                    </a>
                                </div>
                            {% endif %}
                            <!-- /.box-footer -->
                        </div><!-- /.chart-responsive -->
                    </div><!-- /.col -->
                </div>
            </div>
        </div>
    </section>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){
            $('.content-header').first().remove();
        });
    </script>
{% endblock %}